Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Kde získat libssl-dev 1.0.2d?  (Přečteno 733 krát)

Fisir

  • Návštěvník
  • *
  • Příspěvků: 30
  • Karma: +1/-0
    • Zobrazit profil
Kde získat libssl-dev 1.0.2d?
« kdy: 26 Srpen 2015, 19:45:51 »
Ahoj,
pokouším se ručně zkompilovat Apache 2.4, abych do něj mohl zabudovat OpenSSL 1.0.2d (potřebuji jej kvůli konfigurační direktivě SSLOpenSSLConfCmd). Všechno běží krásně, ze zdrojáků jsem zkompiloval OpenSSL, příkaz openssl version vypíše správnou verzi a zkompilované Apache také běží bez problémů.

Bohužel, navzdory instalované verzi OpenSSL Apache používá verzi 1.0.1f (podle phpinfo()). Podle mého výzkumu za to může fakt, že je v systému nainstalován balíček libssl-dev pro starší verzi OpenSSL.

Nikde ale nemohu najít zdrojový kód tohoto balíčku, abych zkompiloval jeho nejnovější verzi a bez něj se Apache nezkompiluje vůbec. V repozitáři je pouze verze 1.0.1.

Existuje tedy nějaká možnost, jak tento balíček upgradovat nebo ručně zkompilovat a nainstalovat? Předem díky.

Fisir

  • Návštěvník
  • *
  • Příspěvků: 30
  • Karma: +1/-0
    • Zobrazit profil
Řešení
« Odpověď #1 kdy: 27 Srpen 2015, 15:57:54 »
Zdrojové soubory pro kompilaci jsem nakonec nezískal, ale Debian balíček pro verzi libssl-dev 1.0.2d a libssl 1.0.2d ano.